Subject: Re: [nsc] More well defined Use Cases for NSC

From: Sean Yiu <[email-masked]>
Date: Tue, 3 Sep 2013 15:40:35 -0700

Hi Jim

Not saying we should document all use cases but, as you said, having some representational use cases in DC, mobility etc would help. Certainly not because we don't understand the concepts - which we all do I think - but to knock down some clear ones so we can get more traction around NSV. Also, these use cases should help us think through the somewhat heuristical nature of service chaining - ie not all services are to be done in any sequence - there are some that need to be done in a prescribed sequence. In turn, this hopefully helps in  getting NSV synthesized with better clarity in the architecture phase of NSV. Eg where and how these perhaps built- in dependencies are stated statically and/or dynamically,  how the info is disseminated  and how the sequence is enforced, monitored , redirected and so on.

Thanks

Sean

From: Jim Guichard (jguichar) [mailto:[email-masked]]
Sent: Monday, August 26, 2013 6:29 AM
To: Sean Yiu; [email-masked]
Cc: [email-masked]
Subject: Re: More well defined Use Cases for NSC

Hi Sean,

I think the problem with use cases is that there are so many of them and in a lot of cases will be specific to a given operators deployment choices. Trying to document them all serves little purpose other than informational imho.  Having said that we will have high level use cases in the problem statement draft. For more detailed use cases I think we will probably see a set of drafts that are relevant to specific deployment environments such as mobility, DC, etc, and I think that is the right approach.

From: Sean Yiu <[email-masked]<mailto:[email-masked]>>
Date: Thursday, August 22, 2013 5:20 PM
To: Microsoft Office User <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: More well defined Use Cases for NSC

Hi  Jim and Thomas et al

Thanks much for moving NSC along. I do have some suggestions on the next steps - i.e.  is that towards the WG sessions (in Vancouver ?) , one main  focus could be documenting some well defined use cases - especially from the network operators'  point of view. Closest I found so far seems to be http://datatracker.ietf.org/doc/draft-liu-service-chaining-use-cases/?include_text=1 but it has a few examples only (at least at this point in time).  It would be helpful to have  more use cases from a larger set of network operators. I also suggest that in collecting and documenting these use cases, we be "strict" to ourselves to state the use cases in some level of detail and not jump into Architecture and even implementation details.

Thanks

Sean